{% extends "catalog/base.html" %}

{% block title %} Product {% endblock %}

{% block main %}
    <div class="container">
        <div class="card">
            <div class="row">
                <div class="col-4 d-flex align-items-center justify-content-center">
                    <div class="bg-image hover-overlay ripple" data-mdb-ripple-color="light" id="card_image">
                        <img src="{{ product.image.url}}" class="img-fluid"/>
                    </div>
                </div>
                <div class="col-8">
                    <div class="card-body">
                        <h5 class="card-title">Card title</h5>
                        <p class="card-text">
                            Product: {{ product }} <br>
                        <hr>
                        Product name: {{ product.name }} <br>
                        <hr>
                        Product price: {{ product.price }} BYN <br>
                        <hr>
                        Product price_usd: {{ product.price_usd }} USD <br>
                        <hr>
                        Product description: {{ product.description }} <br>
                        <hr>
                        <p class="card-text">Product consist:</p>
                        {% for ingredients in consisties %}
                            {{ ingredients.ingridient }}
                        {% endfor %}
                        <br>
                        <hr>
                        <div class="btn-group" role="group"
                             aria-label="Basic outlined example">
                            <a href="{% url 'add_in_basket' pk=product.pk value='+1' %}"
                               class="btn btn-primary"> Add 1 in basket</a>
                            <a href="{% url 'add_in_basket' pk=product.pk value='-1' %}"
                               class="btn btn-primary"> Remove 1 from basket</a>
                            <a href="{% url 'basket' %}" class="btn btn-primary"> Open basket </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {#Comments#}
    <section>
        <div class="row d-flex justify-content-center">
            <div class="col-md-11 col-lg-9 col-xl-7">
                <div class="d-flex flex-start">
                    <div class="card w-100">
                        <div class="card-body bg-light" id="review">
                            <h2>Reviews:</h2>
                            {% if not reviews %}
                                Add 1st review ....
                            {% else %}
                                {% for review in reviews %}
                                    <div class="card mb-3">
                                        <div class="card-body pb-5">
                                            <p class="small">{{ review.date }}</p>
                                            <h5 class="card-title">{{ review.username }}</h5>
                                            <hr>
                                            <p class="card-text"> {{ review.text }} </p>
                                            <hr>
                                            <div class="btn-group" role="group"
                                                 aria-label="Basic outlined example">
                                                <a href="{% url 'review_like' pk=review.pk like='like' %}"
                                                   class="btn btn-primary"> {{ review.like }} Like</a>
                                                <a href="{% url 'review_like' pk=review.pk like='dislike' %}"
                                                   class="btn btn-primary"> {{ review.dislike }}
                                                    Dislike </a>
                                            </div>
                                            <hr>
                                        </div>
                                    </div>
                                {% endfor %}
                            {% endif %}

                        </div>


                        <div class="card-body">
                            <form method="post">
                                {% csrf_token %}
                                <div class="form-outline mb-4">
                                    <input type="text" class="form-control form-control-lg" id="text"
                                           name="text" placeholder="Leave a review"/>
                                </div>
                                <button class="btn btn-primary btn-lg btn-block" type="submit"
                                        value="add">
                                    Submit
                                </button>
                                <hr class="my-4">
                            </form>

                        </div>


                    </div>
                </div>
            </div>
        </div>
    </section>























































{% endblock %}
